SLIDES=\
  title \
  docker-1 docker-2 docker-3 docker-4 \
  functional1a functional1b functional1 functional2 graph \
  demo \
  use-profile use-rewrite-input use-manifest-1 use-manifest-2 use-summary \
  paper paper2 \
  use-developer-1 use-developer-2 use-developer-3 use-developer-4 \
  admins-1 admins-2 admins-3 \
  end


# Extra slides for which there is no time:
# environment-modules (after "problem")

BONUS=\
  profile-0 profile-1 rollback profile-1 \
  gc-1 gc-2 gc-3

slides.pdf: $(addsuffix .pdf, ${SLIDES} ${BONUS})
	gs -dBATCH -dNOPAUSE -q -sDEVICE=pdfwrite -sOutputFile=$@ $^

big-graph.svg: images/coreutils-bag-graph.dot
	dot -Tsvg -Gratio=.7 -o big-graph.svg $^

big-graph.pdf: big-graph.svg
	inkscape -z --export-background="#232323ff" --export-dpi=300 --export-pdf=$@ $<

graph.pdf: big-graph.pdf
	gs -o $@ \
		-sDEVICE=pdfwrite \
        -g1920x1080 \
		-dFIXEDMEDIA \
		-dPDFFitPage \
		-dCompatibilityLevel=1.4 \
		$^

%.pdf: %.svg
	inkscape -z --export-dpi=300 --export-pdf=$@ $<
